Error on Applications that uses libcanberra

Bug #867665 reported by Luis Vitorio Cargnini on 2011-10-04
18
This bug affects 4 people
Affects Status Importance Assigned to Milestone
libcanberra (Ubuntu)
Undecided
Unassigned

Bug Description

Applications like Acroread and my Synopsys Synplify System Designer are reporting this error and not opening:

symbol lookup error: /usr/lib/gtk-2.0/i686-pc-linux-gnu/modules/libcanberra-gtk-module.so: undefined symbol: gdk_error_trap_pop_ignored
details:
1)
Description: Ubuntu oneiric (development branch)
Release: 11.10

2)
libcanberra-gtk3-0:
  Installed: 0.28-0ubuntu10
  Candidate: 0.28-0ubuntu10
  Version table:
 *** 0.28-0ubuntu10 0
        500 http://fr.archive.ubuntu.com/ubuntu/ oneiric/main amd64 Packages
        100 /var/lib/dpkg/status
libcanberra0:
  Installed: 0.28-0ubuntu10
  Candidate: 0.28-0ubuntu10
  Version table:
 *** 0.28-0ubuntu10 0
        500 http://fr.archive.ubuntu.com/ubuntu/ oneiric/main amd64 Packages
        100 /var/lib/dpkg/status
libcanberra-gtk0:
  Installed: 0.28-0ubuntu10
  Candidate: 0.28-0ubuntu10
  Version table:
 *** 0.28-0ubuntu10 0
        500 http://fr.archive.ubuntu.com/ubuntu/ oneiric/main amd64 Packages
        100 /var/lib/dpkg/status
libcanberra-pulse:
  Installed: 0.28-0ubuntu10
  Candidate: 0.28-0ubuntu10
  Version table:
 *** 0.28-0ubuntu10 0
        500 http://fr.archive.ubuntu.com/ubuntu/ oneiric/main amd64 Packages
        100 /var/lib/dpkg/status
libcanberra-gtk3-module:
  Installed: 0.28-0ubuntu10
  Candidate: 0.28-0ubuntu10
  Version table:
 *** 0.28-0ubuntu10 0
        500 http://fr.archive.ubuntu.com/ubuntu/ oneiric/main amd64 Packages
        100 /var/lib/dpkg/status
3) The application oepn normally, since the update of today it isn't working anymore
4)it generates the error message as follow:

$ acroread
/usr/bin/acroread: symbol lookup error: /usr/lib/gtk-2.0/i686-pc-linux-gnu/modules/libcanberra-gtk-module.so: undefined symbol: gdk_error_trap_pop_ignored

affects: ubuntu → libcanberra (Ubuntu)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in libcanberra (Ubuntu):
status: New → Confirmed
Alfred (munnikes) wrote :

I believe this is a bug in the ia32-libs package.

dpkg -S libcanberra-gtk-module.so
>> ia32-libs: /usr/lib32/gtk-2.0/modules/libcanberra-gtk-module.so

Package: ia32-libs
Status: install ok installed
Priority: extra
Section: libs
Installed-Size: 115436
Maintainer: Ubuntu Developers <email address hidden>
Architecture: amd64
Version: 20090808ubuntu25

with version 20090808ubuntu13 it is working.

Solution for now:
download http://nl.archive.ubuntu.com/ubuntu/pool/universe/i/ia32-libs/ia32-libs_20090808ubuntu13_amd64.deb
and replace only the /usr/lib32/gtk-2.0/modules/libcanberra-gtk-module.so file and acroread is working again.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers